Subject: Minutes of Validation BOF

From: "Tim Huntley" <[email-masked]>
Date: Wed, 2 Mar 94 10:23:17 EST

Connectathon

   Date:  June 20th-24th (The week before the AIW)
   Where:  RTP (More details as the become available)

   Looks like we will try and have network nodes build the backbone
   the first 2 days of the week and everyone else start testing on
   Wednesday.  We will have a mixture of structured and unstructured
   testing.  IBM (me) is responsible for putting together a common
   set of CM/2 NDF files for testing against Communications Manager.

   We will be doing most of the testing in a token-ring environment.
   Also, we will define a couple of entry points into the network
   for SDLC.  If anyone has additional DLC requirements, voice your
   needs soon.

   We decided to set an entry criteria for the test as follows:

      - If you are a network node you should be able to
        establish CP-CP sessions with both ENs and NNs and support
        LEN nodes.  You should also be capable of routing
        intermediate session traffic.  If you have an exposed
        APPC API, you should be able to run APING and APINGD.

      - If you are an EN or LEN you should support a connection
        to an NN server.  If you have an exposed APPC API, you
        should be able to run APING and APINGD.

      - Vendors should use the CM/2 NDF files to test against
        prior to the connectathon.  I will put them on the
        IBMSTANDARDS ftp server in the next few weeks.

Base and Option Sets

   I want to thank Burt Gearhart again for the tremendous job
   he has done and continues to do in pulling base and option set
   information together about each APPN product.  Burt presented
   the first pass of his findings and it was well received.  We
   decided the information would be more manageable if it were in
   a common spreadsheet format.

   In addition, Burt presented information on updates to his
   APPN test suite.

Test Utilities Repository

   Over the next few months, we will begin sharing some of our
   simple test utilities.  We want to encourage other vendors
   to contribute tools as well.  More information will follow
   on this topic

AIW Test Specification

   Finally, I talked for a few minutes about the AIW Test Specification.
   The intent of this document is for both EN and NN vendors to use
   these test cases as a way to self-certify that they are
   APPN nodes.  Currently, this document does not contain EN specific
   test cases.  Over the next couple of months (before the next AIW),
   I will work with other interested parties to integrate EN test cases.
   Also, there are a few test cases in the document that are
   for specific flows between APPN components.  These test cases will
   be moved to an appendix in the document.  Understand that this
   document does not represent a complete APPN test plan.

   Finally, I am putting the test descriptions into a spreadsheet and
   breaking them down by base and option set number to give us something
   more useful.  I will put this out on the IBMSTANDARDS ftp server.

If I missed something important from the meeting, don't hesitate
to correct me.

Thanks,

...Tim Huntley